## pycryptodome 3.4.6

=== debian/changelog ===
pycryptodome (3.4.6-1) unstable; urgency=low

  * source package automatically created by stdeb 0.8.5
  * Initial release. (Closes: #864294: ITP: pycryptodome --
    cryptographic library for Python)

 -- Christopher Hoskin <mans0954@debian.org>  Sun, 11 Jun 2017 20:51:56 +0100
