## pycryptodome 3.4.11

=== debian/changelog ===
pycryptodome (3.4.11-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Christopher Hoskin ]
  * Fix "CVE-2018-6594" Resolved by upstream in 3.4.10 (Closes:
    #889998)
  * Add upstream metadata file
  * Add 0003-Fix-syntax-error.patch
  * Add lib/Cryptodome/ to clean
  * Bump debhelper compat from 9 to 11
  * Keep the documentation in python-pycryptodome-doc (for now at least)
  * Bump Standards-Version from 4.1.1 to 4.1.3 (no change required)

 -- Christopher Hoskin <mans0954@debian.org>  Tue, 06 Mar 2018 07:02:32 +0000
