=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: pycryptodome
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Christopher Hoskin <mans0954@debian.org>
 Section: python
 Priority: optional
-Build-Depends: dh-python, python-setuptools, python3-setuptools, python-all-dev, python3-all-dev, debhelper (>= 9),
+Build-Depends: dh-python, python-setuptools, python3-setuptools, python-all-dev, python3-all-dev, debhelper (>= 11),
  python3-sphinx, python3-sphinx-rtd-theme
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: http://www.pycryptodome.org
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pycryptodome.git
-Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/pycryptodome.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/pycryptodome.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/pycryptodome
 
 Package: python-pycryptodome
 Architecture: any
