## pycryptodome 3.6.1

=== debian/changelog ===
pycryptodome (3.6.1-3) unstable; urgency=medium

  * Backport to Debian 9

 -- SaltStack Packaging Team <packaging@saltstack.com>  Wed, 10 Jun 2020 17:21:57 -0600

pycryptodome (3.6.1-2) unstable; urgency=medium

  * Bump Standards-Version from 4.1.3 to 4.1.4.
  * Refresh 0003-Fix-syntax-error.patch.
  * Updated 2000-backport-to-stretch.patch with more changes needed in Stretch.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 12 Jun 2018 12:04:57 +0200

pycryptodome (3.6.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP

  [ Petter Reinholdtsen ]
  * New upstream release 3.6.1.
    - Solve build problem on 32 bits big endian archs (Closes: #892175).
  * Ran wrap-and-sort.
  * Add d/gbp.conf to enforce the use of pristine-tar.
  * Added 2000-backport-to-stretch.patch documenting a way to backport
    to Debian Stretch.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 12 Jun 2018 08:22:26 +0000
