## pycryptodome 3.9.7+dfsg1

=== debian/changelog ===
pycryptodome (3.9.7+dfsg1-1) unstable; urgency=medium

  [ Emmanuel Arias ]
  * Team upload.
  * New upstream version 3.9.7 (Closes: #956046).
  * d/contol: debhelper-compat to 13 (from 11),
  * d/control: Bump Standard-Version to 4.5.0 (no changes).
  * d/gbp.conf: Set debian/master as default branch.
  * d/salsa-ci.yml: enable salsa-ci.
  * Remove patch that has been upstreamed 0003-Fix-syntax-error.patch
  * d/control: declare Rules-Requires-Root: no

  [ Henry-Nicolas Tourneur ]
  * d/rules: leverage debhelper-compat 13 by using execute_after and _before
    Replace override statements, PYBUILD_BEFORE_BUILD and PYBUILD_AFTER_INSTALL
  * d/copyright: cleanup files field paths.
  * d/copyright: update to reflect new upstream version.
  * Remove patch no longer used for oldstable: 2000-backport-to-stretch.patch
  * Exclude from upstream tarball prebuilt static js sphinx theme files.
  * Remove README files of SelfTest that are installed under /usr/lib/python

 -- Johannes 'josch' Schauer <josch@debian.org>  Thu, 14 May 2020 21:03:10 +0200
