=== debian/control ===
--- 
+++ 
@@ -3,19 +3,17 @@
 Uploaders: Christopher Hoskin <mans0954@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python-all-dev,
-               python-setuptools,
                python3-all-dev,
                python3-setuptools,
-               python3-sphinx,
-               python3-sphinx-rtd-theme
-Standards-Version: 3.9.8
+               python3-sphinx <!nodoc>,
+               python3-sphinx-rtd-theme <!nodoc>,
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://www.pycryptodome.org
 Vcs-Git: https://salsa.debian.org/python-team/modules/pycryptodome.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/pycryptodome
-
 
 Package: python3-pycryptodome
 Architecture: any
@@ -54,3 +52,40 @@
  .
  This is the Python 3 version of the package.
 
+Package: python-pycryptodome-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}, python3-sphinx-rtd-theme
+Description: cryptographic Python library (documentation)
+ PyCryptodome is a self-contained Python package of low-level
+ cryptographic primitives.
+ .
+ PyCryptodome is a fork of PyCrypto. It brings several enhancements
+ with respect to the last official version of PyCrypto (2.6.1),
+ for instance:
+ .
+   * Authenticated encryption modes (GCM, CCM, EAX, SIV, OCB)
+   * Accelerated AES on Intel platforms via AES-NI
+   * First class support for PyPy
+   * Elliptic curves cryptography (NIST P-256 curve only)
+   * Better and more compact API (`nonce` and `iv` attributes for ciphers,
+     automatic generation of random nonces and IVs, simplified CTR cipher mode,
+     and more)
+   * SHA-3 (including SHAKE XOFs) and BLAKE2 hash algorithms
+   * Salsa20 and ChaCha20 stream ciphers
+   * scrypt and HKDF
+   * Deterministic (EC)DSA
+   * Password-protected PKCS#8 key containers
+   * Shamir's Secret Sharing scheme
+   * Random numbers get sourced directly from the OS (and not from a CSPRNG in
+     userspace)
+   * Simplified install process, including better support for Windows
+   * Cleaner RSA and DSA key generation (largely based on FIPS 186-4)
+   * Major clean ups and simplification of the code base
+ .
+ PyCryptodome is not a wrapper to a separate C library like *OpenSSL*.
+ To the largest possible extent, algorithms are implemented in pure Python.
+ Only the pieces that are extremely critical to performance (e.g. block ciphers)
+ are implemented as C extensions.
+ .
+ This is the documentation package.
