## pycryptodome 3.11.0%2Bdfsg1

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: pycryptodome
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Christopher Hoskin <mans0954@debian.org>
 Section: python
 Priority: optional
@@ -9,11 +9,12 @@
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
-Homepage: http://www.pycryptodome.org
-Vcs-Git: https://salsa.debian.org/python-team/modules/pycryptodome.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/pycryptodome
+Homepage: https://www.pycryptodome.org
+Vcs-Git: https://salsa.debian.org/python-team/packages/pycryptodome.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pycryptodome
+Testsuite: autopkgtest-pkg-python
 
 Package: python3-pycryptodome
 Architecture: any
@@ -28,20 +29,21 @@
  .
    * Authenticated encryption modes (GCM, CCM, EAX, SIV, OCB)
    * Accelerated AES on Intel platforms via AES-NI
-   * First class support for PyPy
-   * Elliptic curves cryptography (NIST P-256 curve only)
+   * Elliptic curves cryptography (NIST P-256, P-384 and P-521 curves only)
    * Better and more compact API (`nonce` and `iv` attributes for ciphers,
      automatic generation of random nonces and IVs, simplified CTR cipher mode,
      and more)
-   * SHA-3 (including SHAKE XOFs) and BLAKE2 hash algorithms
-   * Salsa20 and ChaCha20 stream ciphers
-   * scrypt and HKDF
+   * SHA-3 (including SHAKE and cSHAKE XOFs), truncated SHA-512 and BLAKE2
+     hash algorithms
+   * Salsa20 and ChaCha20/XChaCha20 stream ciphers
+   * Poly1305 MAC
+   * ChaCha20-Poly1305 and XChaCha20-Poly1305 authenticated ciphers
+   * scrypt, bcrypt and HKDF derivation functions
    * Deterministic (EC)DSA
    * Password-protected PKCS#8 key containers
    * Shamir's Secret Sharing scheme
-   * Random numbers get sourced directly from the OS (and not from a CSPRNG in
-     userspace)
-   * Simplified install process, including better support for Windows
+   * Random numbers get sourced directly from the OS (and not from a CSPRNG
+     in userspace)
    * Cleaner RSA and DSA key generation (largely based on FIPS 186-4)
    * Major clean ups and simplification of the code base
  .
@@ -66,20 +68,21 @@
  .
    * Authenticated encryption modes (GCM, CCM, EAX, SIV, OCB)
    * Accelerated AES on Intel platforms via AES-NI
-   * First class support for PyPy
-   * Elliptic curves cryptography (NIST P-256 curve only)
+   * Elliptic curves cryptography (NIST P-256, P-384 and P-521 curves only)
    * Better and more compact API (`nonce` and `iv` attributes for ciphers,
      automatic generation of random nonces and IVs, simplified CTR cipher mode,
      and more)
-   * SHA-3 (including SHAKE XOFs) and BLAKE2 hash algorithms
-   * Salsa20 and ChaCha20 stream ciphers
-   * scrypt and HKDF
+   * SHA-3 (including SHAKE and cSHAKE XOFs), truncated SHA-512 and BLAKE2
+     hash algorithms
+   * Salsa20 and ChaCha20/XChaCha20 stream ciphers
+   * Poly1305 MAC
+   * ChaCha20-Poly1305 and XChaCha20-Poly1305 authenticated ciphers
+   * scrypt, bcrypt and HKDF derivation functions
    * Deterministic (EC)DSA
    * Password-protected PKCS#8 key containers
    * Shamir's Secret Sharing scheme
-   * Random numbers get sourced directly from the OS (and not from a CSPRNG in
-     userspace)
-   * Simplified install process, including better support for Windows
+   * Random numbers get sourced directly from the OS (and not from a CSPRNG
+     in userspace)
    * Cleaner RSA and DSA key generation (largely based on FIPS 186-4)
    * Major clean ups and simplification of the code base
  .
