## pycryptodome 3.11.0+dfsg1

=== src/test/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 TAPPS:=tests_addmul128_32 tests_addmul128_64 tests_square_32 tests_square_64 tests_product tests_addmul test_endianess\
        test_poly1305_reduce test_poly1305_load_r test_poly1305_load_m test_poly1305_multiply test_poly1305_accumulate\
-	   test_mont tests_mont_mult tests_ec_ws_64 tests_ec_ws_32
+       test_mont tests_mont_mult tests_ec_ws_64 tests_ec_ws_32 test_pkcs1
 
 ifneq (,$(filter $(shell uname -m),x86_64 i386 i686))
 CPPFLAGS += -DHAVE_X86INTRIN_H -DUSE_SSE2 -DHAVE_WMMINTRIN_H -DHAVE_TMMINTRIN_H
@@ -44,10 +44,21 @@
 
 # ECC
 
-build/tests_ec_ws_64: test_ec_ws.c ../ec_ws.c build/mont_64.o $(UTILS)
+TABLES = build/p256_table.o build/p384_table.o build/p521_table.o
+
+build/p256_table.o: ../p256_table.c
+	$(CC) $(CFLAGS) $(CPPFLAGS) -c -o $@ $^
+
+build/p384_table.o: ../p384_table.c
+	$(CC) $(CFLAGS) $(CPPFLAGS) -c -o $@ $^
+
+build/p521_table.o: ../p521_table.c
+	$(CC) $(CFLAGS) $(CPPFLAGS) -c -o $@ $^
+
+build/tests_ec_ws_64: test_ec_ws.c ../ec_ws.c build/mont_64.o $(TABLES) $(UTILS)
 	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $^
 
-build/tests_ec_ws_32: test_ec_ws.c ../ec_ws.c build/mont_32.o $(UTILS)
+build/tests_ec_ws_32: test_ec_ws.c ../ec_ws.c build/mont_32.o $(TABLES) $(UTILS)
 	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $^ -DSYS_BITS=32 -UHAVE_UINT128
 
 # addmul128
@@ -148,3 +159,7 @@
 
 build/tests_mont_mult: build/tests_mont_mult.c build/mont_32.o $(UTILS)
 	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $^
+
+# pkcs1
+build/test_pkcs1: test_pkcs1.c ../common.h ../pkcs1_decode.c
+	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $^
