=== debian/changelog ===
pycryptodome (3.11.0+dfsg1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Update lintian override info to new format: + debian/python3-pycryptodome.lintian-overrides: line 5-6 + debian/python-pycryptodome-doc.lintian-overrides: line 4
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 16 Nov 2022 10:11:04 +0000

pycryptodome (3.11.0+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Limit the autopkgtest dependencies to just the module package, fixing test
    failure on i386 in Ubuntu.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 26 Nov 2021 11:13:48 -0400

pycryptodome (3.11.0+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Patch: Correct types in mont_select() declaration in C tests.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 15 Nov 2021 22:50:40 -0800

pycryptodome (3.11.0+dfsg1-1) unstable; urgency=medium

  * Team upload.
  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Update renamed lintian tag names in lintian overrides.
  * Remove obsolete field Name from debian/upstream/metadata,
    already present in machine-readable debian/copyright.

  [ Håvard Flaget Aasen ]
  * New upstream version 3.11.0+dfsg1 Closes: #998094
  * Rebase patches
  * Mark autopkgtest as superficial. Closes: #974462
  * Patch to add compatibility with sphinx >= 4.0 Closes: #997733
  * Update lintian-overrides, use wildcard and capitalize word.
  * d/upstream/metadata: Remove registration link to GitHub.
  * d/changelog: Fix spelling mistake.
  * d/control:
    - Update Standards-Version to 4.6.0
    - Update the long description.
  * d/rules: Remove deleting of files. These files are no longer
    shipped with source from PyPI.
  * d/copyright: Update files and copyright year.

  [ Stefano Rivera ]
  * Remove noop proxy exports from debian/rules. pybuild automatically exports
    them, anyway.
  * Replace superficial autopkgtest with autodep8 configuration.
  * Add an autopkgtest to run the full test suite.
  * Run C test suite at build time:
    - Patch: Allow specifying the python binary for C tests.
    - Patch: Avoid creating a 0-length array during tests.

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Sun, 14 Nov 2021 01:50:58 +0100
