## pycryptodome 3.20.0+dfsg

=== Doc/requirements.txt ===
sphinx==7.1.0
