=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,11 @@
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_test:
-	PYBUILD_SYSTEM=custom \
-        PYBUILD_TEST_ARGS="python{version} -m Cryptodome.SelfTest {build_dir}/" dh_auto_test
-	$(MAKE) -C src/test PYTHON=python3
+	for PY3VER in $(shell py3versions -sv); do \
+		PYBUILD_SYSTEM=custom \
+			PYBUILD_TEST_ARGS="python$$PY3VER -m Cryptodome.SelfTest {build_dir}/" dh_auto_test; \
+	done
+	cd src/test && export PYTHON=python3 && cmake -DPYTHON=${PYTHON} && $(MAKE)
 
 execute_before_dh_auto_build:
 	touch .separate_namespace
